%define pkg_name        B-LexInfo
%define pkg_version     0.02
%define rpm_pkg_version 0.02
%define rpm_pkg_release 6.n0i.6

Summary:       Show info about subroutine lexical variables
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DO/DOUGM/%{pkg_name}-%{pkg_version}.tar.gz


BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools

BuildRequires: perl(ExtUtils::MakeMaker)


%description
Perl stores lexical variable names and values inside a *padlist* within the
subroutine. Certain lexicals will maintain certain attributes after the the
variable "goes out of scope". For example, when a scalar is assigned a string
value, this value remains after the variable has gone out of scope, but is
overridden the next time it is assigned to. Lexical Arrays and Hashes will
retain their storage space for the maximum number of entries stored at any
given point in time.
This module provides methods to record this information, which can be dumped
out as-is or to compare two "snapshots". The information learned from these
snapshots can be valuable in a number of ways.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.02-6.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer 1.07
- mass rebuild

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.02-5.n0i.5
- automatic rebuild (perl 5.8.8)

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.02-4.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.02-3.n0i.3
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.02-2.n0i.2
- automatic rebuild (perl 5.8.6)

* Mon Jul 05 2004 Marius Feraru <altblue@n0i.net> 0:0.02-1.n0i.1
- version 0.02
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
